---
project: FIDASIM
version: {!../VERSION!}
project_github: https://github.com/D3DEnergetic/FIDASIM
project_download: https://github.com/D3DEnergetic/FIDASIM/releases
summary: ![FIDASIM](|media|/fidasim-logo.png)
         {: style="text-align: center" }
author: Luke Stagner
author_description: ORISE Postdoctoral Fellow
github: https://github.com/lstagner
email: stagnerl@fusion.gat.com
docmark: +
source: true
graph: true
extra_filetypes: pro ;
                 py  #
preprocess: false
media_dir: ./media
favicon: ./media/fidasim-favicon.png
md_extensions: markdown.extensions.toc
---

FIDASIM is a fast Fortran 90 code that simulates neutral beam deposition and various fast-ion diagnostics in fusion devices.

For more information, check out the [user guide](./page/index.html).

This is the documentation for the current release version of FIDASIM.

[Click here for development documentation](|url|/master/index.html)

[Click here for FIDASIM 1.0 documentation](|url|/release-1.0/index.html)


## Citing FIDASIM Source Code
Along with the FIDASIM paper, please cite the source code.
```
@article{FIDASIMpaper,
  author       = {Benedikt Geiger and Luke Stagner and William W Heidbrink and Ralph Dux and Rainer Fischer and Yutaka Fujiwara and Alvin Garcia and Asger Schou Jacobsen and Anton Jansen vanVuuren and Alexander N Karpushov and Deyong Liu and Philip Adrian Schneider and Igor Sfiligoi and Peter Zsolt Poloskei and Markus Weiland},
  title        = {Progress in modelling fast-ion D-alpha spectra and neutral particle analyzer fluxes using FIDASIM},
  journal      = {Plasma Physics and Controlled Fusion},
  url          = {http://iopscience.iop.org/10.1088/1361-6587/aba8d7},
  year         = {2020}
}
```

```
@misc{FIDASIMcode,
  author       = {Stagner, L. and Geiger, B. and Heidbrink, W.W.},
  title        = {{FIDASIM: A Neutral Beam and Fast-ion Diagnostic Modeling Suite}},
  doi          = {10.5281/zenodo.1341369},
  url          = {https://doi.org/10.5281/zenodo.1341369}
}
```
